Bug 601783 - Add explicit versioned dependency on hplip-libs to main package
Add explicit versioned dependency on hplip-libs to main package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: hplip (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 11:38 EDT by Tim Waugh
Modified: 2010-11-10 15:38 EST (History)
3 users (show)

See Also:
Fixed In Version: hplip-3.9.8-33.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:38:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2010-06-08 11:38:26 EDT
Description of problem:
The main package consumes libhpmud but does not require the explicit version of hplip-libs that it needs.  It does, however, require the explicit version of hpijs, which in turn requires the explicit version of hplip-libs, so there is no real problem.

Just would avoid warnings if we added:

Requires: %{name}-libs = %{version}-%{release}

to the main package.

Version-Release number of selected component (if applicable):
hplip-3.9.8-31.el6
Comment 2 RHEL Product and Program Management 2010-06-08 11:53:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Jiri Popelka 2010-06-24 12:28:41 EDT
Fixed in hplip-3.9.8-33.el6

http://post-office.corp.redhat.com/archives/cvs-commits-list/2010-June/msg03388.html
Comment 5 Ben Levenson 2010-09-13 07:41:16 EDT
$ rpm -q hplip
hplip-3.9.8-33.el6.x86_64
$ rpm -q --requires hplip | grep hplip
hplip-libs = 3.9.8-33.el6
Comment 6 releng-rhel@redhat.com 2010-11-10 15:38:45 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.